Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://statsigapi.net/console/v1/events \ --header 'STATSIG-API-KEY: <api-key>'
{ "message": "Event values listed successfully.", "data": [ { "timestamp": "1720567284328", "name": "time_spent_on_page", "source": "statsig-node", "value": "463", "userID": "1922", "metadata": {} }, { "timestamp": "1720567284328", "name": "add_to_cart", "source": "statsig-node", "value": "appliances", "userID": "1922", "metadata": {} }, { "timestamp": "1720567284321", "name": "time_spent_on_page", "source": "statsig-node", "value": "421", "userID": "1026", "metadata": {} }, { "timestamp": "1720567284321", "name": "add_to_cart", "source": "statsig-node", "value": "electronics", "userID": "1026", "metadata": {} }, { "timestamp": "1720567284485", "name": "time_spent_on_page", "source": "statsig-node", "value": "273", "userID": "8455", "metadata": {} } ], "pagination": { "itemsPerPage": 5, "pageNumber": 1, "totalItems": 1000, "nextPage": "/console/v1/events?page=2&limit=5", "previousPage": null, "all": "/console/v1/events" } }
Optional header to respect review settings for mutation endpoints.
Results per page
10
Page number
1
List Events response
A simple string explaining the result of the operation.
Array of results returned by pagination limit.
Show child attributes
Pagination metadata for checking if there is next page for example.